package app.serveur;

import java.util.ArrayList;
import java.util.List;

public class RecetteDatabase {
	
	private static List<Recette> stockageRecettes = new ArrayList<Recette>();
	
	static {
		stockageRecettes.add(new Recette(1, "Recette1", "Description1"));
		stockageRecettes.add(new Recette(2, "Recette2", "Descripiton2"));
		stockageRecettes.add(new Recette(3, "Recette3", "Description3"));
	}
	
	
	
	
	public static int addRecette(String nom, String desc)
	{
		//L'ID de la nouvelle recette est l'ID le plus rcent +1
		int ID = stockageRecettes.size()+1;
		
		stockageRecettes.add(new Recette(ID,nom,desc));
		
		return ID;
	}
	
	public static int addRecette(String nom, String desc, String[] ingredients)
	{
		//L'ID de la nouvelle recette est l'ID le plus rcent +1
		int ID = stockageRecettes.size()+1;
		
		stockageRecettes.add(new Recette(ID,nom,desc,ingredients));
		
		return ID;
	}
	
	public static Recette getRecette(int ID)
	{
	
		for (Recette r : stockageRecettes)
		{
			if (r.getIDRecette()==ID)
					return r;
		}
		return null;
		
	}
	
	public static List<Recette> getListe()
	{
		return stockageRecettes;
	}
	
	public static void delRecette(Recette r)
	{
		stockageRecettes.remove(r);
	}
	
}
